<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/layout/panels/_panel_title_footer.xhtml" id="displayDiv"
                rendered="#{simulatorResponderConfigurationManager.displayConfig}">
        <ui:define name="panel_title">#{messages['gazelle.HL7Common.ConfigurationInformation']}</ui:define>
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.Name']}</ui:define>
                <h:outputText value="#{simulatorResponderConfigurationManager.selectedConfiguration.name}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.simulatedActor']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.simulatedActor.name}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.hl7.Domain']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.domain.keyword}"
                        rendered="#{simulatorResponderConfigurationManager.selectedConfiguration.domain != null}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.Transaction']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.transaction.keyword}"
                        rendered="#{simulatorResponderConfigurationManager.selectedConfiguration.transaction != null}"/>
                <h:outputText value="#{messages['gazelle.HL7Common.All']}"
                              rendered="#{simulatorResponderConfigurationManager.selectedConfiguration.transaction == null}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.IPAddress']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.ipAddress}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.Port']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.listeningPort}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.ReceivingFacility']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.receivingFacility}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.ReceivingApplication']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.receivingApplication}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.AcceptedTriggerEvents']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.acceptedTriggerEvent}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.AcceptedMessageTypes']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.acceptedMessageType}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.HL7Common.ServerBeanName']}</ui:define>
                <h:outputText
                        value="#{simulatorResponderConfigurationManager.selectedConfiguration.serverBeanName}"/>
            </s:decorate>
        </dl>
        <ui:define name="panel_footer">
            <a4j:commandButton styleClass="gzl-btn-blue"
                               value="#{messages['gazelle.HL7Common.editConfiguration']}"
                               actionListener="#{simulatorResponderConfigurationManager.editConfiguration()}"
                               render="globalDiv"/>
            <a4j:commandButton styleClass="gzl-btn" value="#{messages['gazelle.HL7Common.Back']}"
                               actionListener="#{simulatorResponderConfigurationManager.displayList()}"
                               bypassUpdates="true" render="globalDiv"/>
        </ui:define>
    </s:decorate>
</ui:composition>